<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.analytics.batch.exportimport.internal.AnalyticsDXPEntityBatchExporterImpl">
  <service>
    <provide interface="com.liferay.analytics.batch.exportimport.AnalyticsDXPEntityBatchExporter"/>
  </service>
  <reference name="_destination" interface="com.liferay.portal.kernel.messaging.Destination" target="(destination.name=liferay/dispatch/executor)" field="_destination"/>
  <reference name="_dispatchLogLocalService" interface="com.liferay.dispatch.service.DispatchLogLocalService" field="_dispatchLogLocalService"/>
  <reference name="_dispatchTriggerLocalService" interface="com.liferay.dispatch.service.DispatchTriggerLocalService" field="_dispatchTriggerLocalService"/>
  <reference name="_userLocalService" interface="com.liferay.portal.kernel.service.UserLocalService" field="_userLocalService"/>
  <implementation class="com.liferay.analytics.batch.exportimport.internal.AnalyticsDXPEntityBatchExporterImpl"/>
</scr:component>
